let player = null;
let players = [];
let renderer = new Render("canvas");
let LB = new LeaderBoard("canvas");
let bulletSound = new Sound("./assets/sounds/shoot.mp3");
let driftSound = new Sound("./assets/sounds/drift.mp3");
let net = new Network("wss://ws.gta6.insat.fr:8080?name=" + getCookie("pseudo"));
let inp = new Input("canvas");
let phone = new Phone();
let bullets = [];
let circles = [];
let squares = [];
let PNJS = [new PNJ(500, 100),
        new PNJ(700, 100),
        new PNJ(500, 600),
        new PNJ(200, 700)];

let cars = [new Car(renderer, 0, 0),
        new Car(renderer, 0, 7),
        new Car(renderer, 1, 3),
        new Car(renderer, 1, 13),
        new Car(renderer, 1, 14),
        new Car(renderer, 0, 15)];

function updatePlayer(data)
{
    if(data.id==player.id)
    {
        player.x=data.x;
        player.y=data.y;
    }
    else
    {
        for(let i=0;i<players.length;i++)
        {
            if(data.id==players[i].id)
            {
                players[i].x=data.x;
                players[i].y=data.y;
                players[i].dir=data.dir;
                players[i].visibleDir=data.visibleDir;
                break;
            }
        }
    }
}

function addPlayer(data)
{
    let np = new Player(data.id, data.x, data.y, data.name, data.dir);
    players.push(np);
}

function removePlayer(id)
{
    for(let i=0;i<players.length;i++)
    {
        if(players[i].id==id)
        {
            players.splice(i,1);
            break;
        }
    }
}

function addKill(idKilled,idKiller)
{
    if(player.id==idKiller)
        player.kill++;
    players.forEach((p) => {
        if(p.id==idKilled)
            p.death++;
        if(p.id==idKiller)
            p.kill++;
    });
}

function updateBullets(dt)
{
    for(let i = bullets.length-1;i>=0;i--)
    {
        bullets[i].update(dt);
        bullets[i].checkCollisions(squares,circles);
        if(bullets[i].deleted)
        {
            bullets.splice(i,1);
        }
    }
}
